4
ABDCE
BACDE
ABCED
ACBDE
10
EDCBA
ABCDE
CADBE
ECBDA
DBEAC
DAECB
BCADE
CDAEB
ABECD
BAEDC
5
EDCBA
EDCBA
EDCBA
EDCBA
EDCBA
10
ABDEC
ABDEC
EDCAB
ADECB
BADEC
BACED
EDCAB
ADECB
BADEC
BACED
50
BACED
BACED
BACED
BACED
BACED
BACED
EDCAB
ADECB
BADEC
BACED
EDCAB
ADECB
BADEC
BACED
ABDEC
EDCAB
ADECB
BADEC
BACED
EDCAB
CDEAB
BADEC
CDEAB
CDEAB
CDEAB
CEDBA
BACED
ABDEC
EDCAB
CDEAB
CDEAB
CDEAB
CDEAB
CDEAB
ADECB
BADEC
BACED
EDCAB
ADECB
BADEC
BACED
ABDEC
CEDBA
CEDBA
CEDBA
CEDBA
CEDBA
ADECB
BADEC
BACED
100
ABDEC
ABDEC
ABDEC
ABDEC
ABDEC
ABDEC
ABDEC
EDCAB
ADECB
BADEC
BACED
EDCAB
ADECB
BADEC
BACED
BDEAC
EDCAB
ACBDE
BDEAC
BCEAD
EDCAB
ADECB
BADEC
BACED
ABDEC
EDCAB
ADECB
BADEC
BACED
EDCAB
ADECB
BDACE
BACED
ABDEC
EDCAB
ADECB
BACDE
BACED
CEDAB
ADECB
BADEC
BACED
CABDE
EDCAB
ADECB
BADEC
BACED
EDCAB
ADECB
BADEC
BACED
ABDEC
ABDEC
ABDEC
ABDEC
ABDEC
EDCAB
ADECB
BADEC
BACED
EDCAB
ADECB
BADEC
BACED
ABDEC
EDCAB
ADECB
BADEC
BACED
EDCAB
ADECB
BADEC
BACED
ABDEC
EDCAB
ADECB
BADEC
BACED
EDCAB
ADECB
BADEC
BACED
ABDEC
EDCAB
ADECB
BADEC
BACED
EDCAB
ADECB
BADEC
BACED
ABDEC
EDCAB
ADECB
BADEC
BACED
EDCAB
ADECB
BADEC
BACED
0
